extends CollisionShape2D_StateReceiver


# Declare member variables here. Examples:
# var a = 2
# var b = "text"


func _state_physics_process_roll():
	match current_state.animation_frame:
		1,2,3,4:
			set_deferred("disabled", true)
		_: 
			set_deferred("disabled", false)
